summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdvm/2554/testcase21
-rwxr-xr-xdvm/2584/testcase32
-rwxr-xr-xdvm/2598/testcase21
-rw-r--r--regression_helpers2
4 files changed, 76 insertions, 0 deletions
diff --git a/dvm/2554/testcase b/dvm/2554/testcase
new file mode 100755
index 0000000..098d218
--- /dev/null
+++ b/dvm/2554/testcase
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+sleep 2;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id statt-prefetch off | grep "option : statt-prefetch does not exist" 2>/dev/null 1>/dev/null;
+temp=$?;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id qquickread off | grep "Did you mean quick-read?" 2>/dev/null 1>/dev/null
+temp1=$?;
+
+if [ $temp -eq 0 ] && [ $temp1 -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi
diff --git a/dvm/2584/testcase b/dvm/2584/testcase
new file mode 100755
index 0000000..e3dc605
--- /dev/null
+++ b/dvm/2584/testcase
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 $(hostname):$EXPORT_DIR/$global_bug_id/brick3 $(hostname):$EXPORT_DIR/$global_bug_id/brick4 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+mount_glusterfs $global_bug_id;
+
+wd=`pwd`;
+cd $FUSE_MOUNT;
+
+for i in {1..10}
+do
+mkdir directory$i;
+cd directory$i;
+touch {1..100};
+done
+cd $FUSE_MOUNT;
+
+kill -KILL `ps -aef | grep brick4 | head -n 1 | awk '{print $2}'`;
+
+rm -rf directory1/ 2>/dev/null 1>/dev/null;
+temp=$?;
+
+cd $wd;
+$GLUSTERFSDIR/gluster volume start $global_bug_id force 2>/dev/null 1>/dev/null;
+
+umount $FUSE_MOUNT 2>/dev/null 1>/dev/null;
+
+exit $temp;
diff --git a/dvm/2598/testcase b/dvm/2598/testcase
new file mode 100755
index 0000000..94c8b9c
--- /dev/null
+++ b/dvm/2598/testcase
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+sleep 5;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id nfs.volume-access reed-only | grep -i "is not valid" 2>/dev/null 1>/dev/null;
+temp=$?;
+
+tail -n 20 $GLUSTERFSDIR/../var/log/glusterfs/nfs.log | grep -i "is not valid" 2>/dev/null 1>/dev/null;
+temp1=$?;
+
+if [ $temp1 -eq 0 ] || [ $temp -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi
diff --git a/regression_helpers b/regression_helpers
index b373d1b..e0580eb 100644
--- a/regression_helpers
+++ b/regression_helpers
@@ -83,12 +83,14 @@ mount_glusterfs ()
local volname=$1;
$GLUSTERFSDIR/glusterfs --volfile-server=$(hostname) --volfile-id=$volname $FUSE_MOUNT;
+ sleep 5;
}
mount_nfs ()
{
local volname=$1;
+ sleep 5;
mount $(hostname):$volname $NFS_MOUNT;
}